Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Libreoffice 5.4.22 only Calc broken
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
boerns
Tux's lil' helper
Tux's lil' helper


Joined: 18 Mar 2004
Posts: 143

PostPosted: Sat Dec 02, 2017 8:46 am    Post subject: [Solved] Libreoffice 5.4.22 only Calc broken Reply with quote

Hi,

when starting calc I get this:

javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
/usr/lib64/libreoffice/program/soffice.bin: symbol lookup error: /usr/lib64/libreoffice/program/libscfiltlo.so: undefined symbol: _ZN5orcus17load_file_contentB5cxx11EPKc


And yes O rebuild dev-libs/liborcus

I tried to backport to 5.2.7.2 but that does not start either. I did update a lot of packages and now one makes my libreoffice break.

I swithed also this nicht from gcc 4.9.4 to 6.4 and recompile system at the moment.

But I allready recompiled all dependencies of libreoffice.

Sorry now I am lost and do not understand whats happening. Writer, Impress, Draw all work, but not Calc!

Alex


Last edited by boerns on Sat Dec 02, 2017 12:48 pm; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 5569
Location: Austria

PostPosted: Sat Dec 02, 2017 8:59 am    Post subject: Reply with quote

All sorts of strange things may happen if you had >=GCC-5 present (even if not switched to) and built stuff with GCC-4.9.4.

So just revisit LibreOffice after you are done with the (proper) switch to GCC-6.4.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
boerns
Tux's lil' helper
Tux's lil' helper


Joined: 18 Mar 2004
Posts: 143

PostPosted: Sat Dec 02, 2017 12:48 pm    Post subject: Reply with quote

OK, Switch to gcc-6.4, recompile of dev-libs/liborcus and system did solve the Problem.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum